Hooks:PostHook( WeaponFactoryTweakData, "init", "VirtussyInit", function(self)
	local custom_weapon_id = "wpn_fps_ass_virtus"
	local stance_base_id = "wpn_fps_ass_s552"
	local uses_sights = {"wpn_fps_upg_o_specter","wpn_fps_upg_o_aimpoint","wpn_fps_upg_o_docter","wpn_fps_upg_o_eotech","wpn_fps_upg_o_t1micro","wpn_fps_upg_o_cmore","wpn_fps_upg_o_aimpoint_2","wpn_fps_upg_o_acog","wpn_fps_upg_o_eotech_xps","wpn_fps_upg_o_reflex","wpn_fps_upg_o_rx01","wpn_fps_upg_o_rx30","wpn_fps_upg_o_cs", "wpn_fps_upg_o_spot","wpn_fps_upg_o_xpsg33_magnifier", "wpn_fps_upg_o_sig","wpn_fps_upg_o_bmg","wpn_fps_upg_o_uh","wpn_fps_upg_o_fc1"}
	for _, sight_id in pairs(uses_sights) do
		if self.parts[sight_id].stance_mod[stance_base_id] then
			self.parts[sight_id].stance_mod[custom_weapon_id] = deep_clone(self.parts[sight_id].stance_mod[stance_base_id])
		else
			log("[ERROR] " .. custom_weapon_id .. " Missing stance_mod data for: " .. sight_id, stance_base_id)
		end
end
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_virtus = {translation = Vector3(-2.62, 0, -12.7),rotation = Rotation(0, 0, -45)} -- todo correct values
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_virtus = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_virtus)
	self.parts.wpn_fps_upg_o_45steel.stance_mod.wpn_fps_ass_virtus = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_virtus)
	
	
	for _, part_id in pairs(self.wpn_fps_ass_virtus.uses_parts) do

		if self.parts[part_id].type == "barrel_ext" then
			table.insert(self.parts.wpn_fps_upg_virtus_fg_quiet.forbids, part_id)
		elseif self.parts[part_id].type == "gadget" then
			self.parts.wpn_fps_upg_virtus_fg_long.override[part_id] = {a_obj = "a_fl_long"}
			self.parts.wpn_fps_upg_virtus_fg_short.override[part_id] = {a_obj = "a_fl_short"}
		else
			-- literally nothing
		end
	end
	
	if self.parts.wpn_fps_upg_am_slap then
		table.insert(self.wpn_fps_ass_virtus.uses_parts, "wpn_fps_upg_am_slap")
	end
	if self.parts.wpn_fps_ass_m4_g_sg then
		table.insert(self.wpn_fps_ass_virtus.uses_parts, "wpn_fps_ass_m4_g_sg")
	end
	if self.parts.wpn_fps_ass_m4_m_stick then
		table.insert(self.wpn_fps_ass_virtus.uses_parts, "wpn_fps_ass_m4_m_stick")
	end
	
	
end)